classification
Title: Allow set swig include dirs in setup.py
Type: enhancement Stage:
Components: Distutils Versions: Python 3.0, Python 3.1, Python 2.7, Python 2.6
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: tarek Nosy List: akitada, tarek, wiget
Priority: normal Keywords: patch

Created on 2003-10-22 16:25 by wiget, last changed 2009-07-30 14:35 by wiget. This issue is now closed.

Files
File name Uploaded Description Edit
distutils-swig-includes.patch wiget, 2003-10-22 16:25
Messages (3)
msg44820 - (view) Author: Artur Frysiak (wiget) Date: 2003-10-22 16:25
There is no method to pass information about include
dirs to swig.
Some extension modules (eg M2Crypto) sugest change
distutils sources to compile it.
I write this patch to avoid changing distutils for all
swinged extensions.
Simply autor of extension may add 
swig_include_dirs = ['strangedir', 'verystrangedir']
to Extension() definition.
msg81409 - (view) Author: Akira Kitada (akitada) * Date: 2009-02-08 19:06
seems this is already fixed in issue1046644.
msg91099 - (view) Author: Artur Frysiak (wiget) Date: 2009-07-30 14:35
Yes. issue1046644 solves this.
History
Date User Action Args
2009-07-30 14:35:45wigetsetstatus: open -> closed

messages: + msg91099
2009-02-08 19:06:21akitadasetnosy: + akitada
messages: + msg81409
2009-02-04 16:50:48tareksetassignee: tarek
2009-02-04 16:48:11akitadasetnosy: + tarek
type: enhancement
versions: + Python 2.6, Python 3.0, Python 3.1, Python 2.7, - Python 2.3
2003-10-22 16:25:40wigetcreate